% MLTOOLS toolbox
% Version 0.122		Friday 05 Jan 2007 at 23:05
% Copyright (c) 2007 Neil D. Lawrence
% 
% LVMSCATTERPLOT 2-D scatter plot of the latent points.
% MLPLOGLIKELIHOOD Multi-layer perceptron log likelihood.
% MODELEXPANDPARAM Update a model structure with parameters.
% MLPOUT Output of an MLP model (wrapper for the NETLAB function mlpfwd).
% PPCAEMBED Embed data set with probabilistic PCA.
% MOGUPDATECOVARIANCE Update the covariances of an MOG model.
% KBROPTIMISE Optimise a KBR model.
% MOGOPTIMISE Optimise an MOG model.
% MODELPARAMINIT Initialise the parameters of the model.
% RBFDISPLAY Display an RBF network.
% LINEAROUTPUTGRADX Evaluate derivatives of linear model outputs with respect to inputs.
% VITERBIALIGN Compute the Viterbi alignment.
% MOGESTEP Do an E-step on an MOG model.
% RBFOUTPUTGRAD Evaluate derivatives of rbf model outputs with respect to parameters.
% KBROUTPUTGRAD Evaluate derivatives of KBR model outputs with respect to parameters.
% MODELEXTRACTPARAM Extract the parameters of a model.
% LINEAROUT Obtain the output of the linear model.
% MLPEXPANDPARAM Update mlp model with new vector of parameters.
% MLPOPTIMISE Optimise MLP for given inputs and outputs.
% ISOMAPEMBED Embed data set with Isomap.
% MLPLOGLIKEGRADIENTS Multi-layer perceptron gradients.
% MOGCREATE Create a mixtures of Gaussians model.
% LINEARLOGLIKEGRADIENTS Linear model gradients.
% LINEAROPTIONS Options for learning a linear model.
% SPECTRUMVISUALISE Helper code for showing an spectrum during 2-D visualisation.
% MODELHESSIAN Hessian of error function to minimise for given model.
% MODELOUTPUTGRAD Compute derivatives with respect to params of model outputs.
% MODELGRADIENT Gradient of error function to minimise for given model.
% MLPOUTPUTGRAD Evaluate derivatives of mlp model outputs with respect to parameters.
% IMAGEMODIFY Helper code for visualisation of image data.
% DEMMPPCA1 Demonstrate MPPCA on a artificial dataset.
% VECTORVISUALISE  Helper code for plotting a vector during 2-D visualisation.
% MODELDISPLAY Display a text output of a model.
% KBROUT Compute the output of a KBR model given the structure and input X.
% RBFEXTRACTPARAM Wrapper for NETLAB's rbfpak.
% MODELOPTIMISE Optimise the given model.
% LVMCLASSVISUALISE Callback function for visualising data in 2-D.
% KBROPTIONS Create a default options structure for the KBR model.
% MOGOPTIONS Sets the default options structure for MOG models.
% MOGUPDATEMEAN Update the means of an MOG model.
% MODELLOGLIKELIHOOD Compute a model log likelihood.
% KPCAEMBED Embed data set with kernel PCA.
% RBFEXPANDPARAM Update rbf model with new vector of parameters.
% RBFOUT Output of an RBF model (wrapper for the NETLAB function rbffwd).
% LINEAREXPANDPARAM Update linear model with vector of parameters.
% KBREXPANDPARAM Create model structure from KBR model's parameters.
% MODELOUTPUTGRADX Compute derivatives with respect to model inputs of model outputs.
% MODELOBJECTIVE Objective function to minimise for given model.
% MLPOPTIONS Options for the multi-layered perceptron.
% MLPPARAMINIT Initialise the parameters of an MLP model.
% RBFOPTIONS Default options for RBF network.
% MLPLOGLIKEHESSIAN Multi-layer perceptron Hessian.
% VECTORMODIFY Helper code for visualisation of vectorial data.
% MOGLOWERBOUND Computes lower bound on log likelihood for an MOG model.
% LINEARDISPLAY Display a linear model.
% MLPOUTPUTGRADX Evaluate derivatives of mlp model outputs with respect to inputs.
% MLPCREATE Wrapper for NETLAB's mlp `net'.
% MAPPINGOPTIMISE Optimise the given model.
% MODELCREATE Create a model of the specified type.
% MODELLOGLIKEGRADIENTS Compute a model's gradients wrt log likelihood.
% MOGUPDATEPRIOR Update the priors of an MOG model.
% LINEARCREATE Create a linear model.
% LVMSCATTERPLOTCOLOR 2-D scatter plot of the latent points with color - for Swiss Roll data.
% MODELOUT Give the output of a model for given X.
% MLPEXTRACTPARAM Extract weights and biases from an MLP.
% LLEEMBED Embed data set with LLE.
% MODELTIEPARAM Tie parameters of a model together.
% MODELPOINTLOGLIKELIHOOD Compute the log likelihood of a given point.
% KBRPARAMINIT KBR model parameter initialisation.
% LINEAROPTIMISE Optimise a linear model.
% SPECTRUMMODIFY Helper code for visualisation of spectrum data.
% KBRCREATE Create a KBR model.
% KBRDISPLAY Display parameters of the KBR model.
% LVMTWODPLOT Helper function for plotting the labels in 2-D.
% LINEAREXTRACTPARAM Extract weights from a linear model.
% MODELSAMP Give a sample from a model for given X.
% LINEAROUTPUTGRAD Evaluate derivatives of linear model outputs with respect to parameters.
% LINEARPARAMINIT Initialise the parameters of an LINEAR model.
% IMAGEVISUALISE Helper code for showing an image during 2-D visualisation.
% MODELTEST Run some tests on the specified model.
% LINEARLOGLIKELIHOOD Linear model log likelihood.
% MODELOPTIONS Returns a default options structure for the given model.
% RBFOPTIMISE Optimise RBF for given inputs and outputs.
% KBREXTRACTPARAM Extract parameters from the KBR model structure.
% RBFCREATE Wrapper for NETLAB's rbf `net'.
% MLPDISPLAY Display the multi-layer perceptron model.
% SMALLRANDEMBED Embed data set with small random values.
